Package org.jboss.classfilewriter.constpool

## Class ConstPoolEntry

- java.lang.Object
- - org.jboss.classfilewriter.constpool.ConstPoolEntry

All Implemented Interfaces:
  `WritableEntry`

Direct Known Subclasses:
  `ClassEntry`, `DoubleEntry`, `FieldRefEntry`, `FloatEntry`, `IntegerEntry`, `InterfaceMethodRefEntry`, `LongEntry`, `MethodRefEntry`, `NameAndTypeEntry`, `StringEntry`, `Utf8Entry`

    public abstract class ConstPoolEntry
    extends java.lang.Object
    implements WritableEntry

### Constructor Summary

Constructors
`ConstPoolEntry()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract ConstPoolEntryType` `getType()`
`void` `write​(ByteArrayDataOutputStream stream)`
`abstract void` `writeData​(java.io.DataOutputStream stream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConstPoolEntry

    public ConstPoolEntry()

### Method Detail

#### write

    public final void write​(ByteArrayDataOutputStream stream)
                     throws java.io.IOException

Specified by:
  `write` in interface `WritableEntry`
Throws:
  `java.io.IOException`

#### writeData

    public abstract void writeData​(java.io.DataOutputStream stream)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### getType

    public abstract ConstPoolEntryType getType()